<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <script src="scriptForTask40.20.js"></script>
  <style>
  </style>
</head>
<body>
<!--table-->
<div class="container-fluid">
  <h2 style="text-align: center;">Quản trị Khóa học</h2>
  <button id="btn-add-course" class="form-group btn btn-success"><i class="fa fa-plus"></i> Thêm Course</button>
  <table id="course-table" class="table table-bordered table-striped table-hover">
    <thead>
      <tr>
        <th>STT</th>
        <th>Mã Khóa học</th>
        <th>Tên Khóa học</th>
        <th>Giá</th>
        <th>Giảm</th>
        <th>Tgian</th>
        <th>Level</th>
        <th>Ảnh</th>
        <th>Tên GV</th>
        <th>Ảnh</th>
        <th>Popular</th>
        <th>Trend</th>
        <th>Action</th>
      </tr>
    </thead>
    <tbody>
      
    </tbody>
  </table>
</div>
<!--Modal add course-->
<div>
  <div id="modal-add-course" class="modal fade" tabindex="-1">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Thêm course</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <form>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Mã Course</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-add-course-code" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Tên Course</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-add-course-name" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Giá gốc</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="number" id="inp-add-course-price" class="form-control">
              </div>
              <div class="col-sm-3 pr-0">
                <label>Giá giảm</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="number" id="inp-add-course-discount-price" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Tgian</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="text" id="inp-add-course-duration" class="form-control">
              </div>
              <div class="col-sm-3 pr-0">
                <label>Level</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="text" id="inp-add-course-level" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Link ảnh</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-add-course-image" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Tên GV</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-add-course-teacher-name" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Link ảnh GV</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-add-course-teacher-image" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-6">
                <div class="form-check ">
                  <input class="form-check-input" type="checkbox" id="chkb-add-course-is-popular">
                  <label class="form-check-label" for="chkb-add-course-is-popular">Popular</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-check ">
                  <input class="form-check-input" type="checkbox" id="chkb-add-course-is-trending">
                  <label class="form-check-label" for="chkb-add-course-is-trending">Trending</label>
                </div>
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          <button class="btn btn-primary" id="btn-confirm-add-course">Thêm course</button>
        </div>
      </div>
    </div>
  </div>
</div>
<!--Model Update course-->
<div>
  <div id="modal-update-course" class="modal fade" tabindex="-1">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Update course</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <form>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Mã Course</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-update-course-code" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Tên Course</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-update-course-name" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Giá gốc</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="number" id="inp-update-course-price" class="form-control">
              </div>
              <div class="col-sm-3 pr-0">
                <label>Giá giảm</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="number" id="inp-update-course-discount-price" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Tgian</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="text" id="inp-update-course-duration" class="form-control">
              </div>
              <div class="col-sm-3 pr-0">
                <label>Level</label>
              </div>
              <div class="col-sm-3 pl-0">
                <input type="text" id="inp-update-course-level" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Link ảnh</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-update-course-image" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Tên GV</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-update-course-teacher-name" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3 pr-0">
                <label>Link ảnh GV</label>
              </div>
              <div class="col-sm-9 pl-0">
                <input type="text" id="inp-update-course-teacher-image" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-6">
                <div class="form-check ">
                  <input class="form-check-input" type="checkbox" id="chkb-update-course-is-popular">
                  <label class="form-check-label" >Popular</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-check ">
                  <input class="form-check-input" type="checkbox" id="chkb-update-course-is-trending">
                  <label class="form-check-label" >Trending</label>
                </div>
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          <button class="btn btn-primary" id="btn-update-course">Update course</button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Modal delete course  -->
<div>
  <div class="modal fade" tabindex="-1" id="modal-delete-course">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="h5-modal-title">Xác nhận xóa Course</h5>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <label>Bạn có chắc chắn muốn xóa course này không?</label>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger" id="btn-confirm-delete-course">Xóa Course</button>
          <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        </div>
      </div>
    </div>
  </div>
</div>
</body>
</html>
​
